Skip to content
Clym Partner Portal

API reference

Products

The products and price lists available to the partner.

Get products

GET
200An array with all available partner productsapplication/json
resultobject[]optional
Show properties
idintegeroptional
The product id
typestringenumoptional
The product type. ADD_ON is returned for insurer partners.
Possible values: SUBSCRIPTION ADD_ON
codestringoptional
The product code
namestringoptional
The product name
pricesobject[]optional
A list of product prices available
Show properties
idnumberoptional
The product price id
frequencystringenumoptional
The price frequency
Possible values: MONTH YEAR
price_listobjectoptional
The price list
Show properties
idnumberoptional
The price list id
codestringoptional
The price list code
childrenobject[]optional
Optional available add-on products
Show properties
idstringoptional
codestringoptional
namestringoptional
typestringoptional
descriptionstringoptional
support_urlstringoptional
featuresobject[]optional
Optional available product features
Show properties
codestringoptional
The feature code
namestringoptional
The feature name
typestringenumoptional
The feature type
Possible values: BOOLEAN MAX_VALUE
valuenumber | stringoptional
get/portal/products
GET /api/portal/products HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200An array with all available partner products
{
  "result": [{
    "id": 0,
    "type": "SUBSCRIPTION",
    "code": "string",
    "name": "string",
    "prices": [{
      "id": 0,
      "frequency": "MONTH",
      "price_list": {
        "id": {},
        "code": {}
      }
    }],
    "children": [{
      "id": "string",
      "code": "string",
      "name": "string",
      "type": "ADD_ON",
      "description": "string",
      "support_url": "string"
    }],
    "features": [{
      "code": "string",
      "name": "string",
      "type": "BOOLEAN",
      "value": null
    }]
  }]
}

Get product

GET

Retrieve information about a single product

Path parameters:

Name Type Required Description
productId string Yes Product id or code
200The partner product informationapplication/json
resultobjectoptional
A product object
Show properties
idintegeroptional
The product id
typestringenumoptional
The product type. ADD_ON is returned for insurer partners.
Possible values: SUBSCRIPTION ADD_ON
codestringoptional
The product code
namestringoptional
The product name
pricesobject[]optional
A list of product prices available
Show properties
idnumberoptional
The product price id
frequencystringenumoptional
The price frequency
Possible values: MONTH YEAR
price_listobjectoptional
The price list
Show properties
idnumberoptional
The price list id
codestringoptional
The price list code
childrenobject[]optional
Optional available add-on products
Show properties
idstringoptional
codestringoptional
namestringoptional
typestringoptional
descriptionstringoptional
support_urlstringoptional
featuresobject[]optional
Optional available product features
Show properties
codestringoptional
The feature code
namestringoptional
The feature name
typestringenumoptional
The feature type
Possible values: BOOLEAN MAX_VALUE
valuenumber | stringoptional
get/portal/products/{productId}
GET /api/portal/products/{productId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200The partner product information
{
  "result": {
    "id": 0,
    "type": "SUBSCRIPTION",
    "code": "string",
    "name": "string",
    "prices": [{
      "id": 0,
      "frequency": "MONTH",
      "price_list": {
        "id": 0,
        "code": "string"
      }
    }],
    "children": [{
      "id": "string",
      "code": "string",
      "name": "string",
      "type": "ADD_ON",
      "description": "string",
      "support_url": "string"
    }],
    "features": [{
      "code": "string",
      "name": "string",
      "type": "BOOLEAN",
      "value": null
    }]
  }
}

© 2026 Clym Partner PortalTermsPrivacy policyCookie policy